Package Details: q4wine-git 1.3.13.2.g9735939-1

Git Clone URL: https://aur.archlinux.org/q4wine-git.git (read-only, click to copy)
Package Base: q4wine-git
Description: A Qt GUI for Wine. (GIT Version)
Upstream URL: http://sourceforge.net/projects/q4wine
Licenses: GPL3
Conflicts: q4wine
Provides: q4wine
Submitter: Atterratio
Maintainer: sl1pkn07
Last Packager: sl1pkn07
Votes: 19
Popularity: 0.018750
First Submitted: 2011-12-11 04:23 (UTC)
Last Updated: 2022-04-07 20:12 (UTC)

Latest Comments

autinerd commented on 2022-04-07 19:22 (UTC)

This package does not work currently. (git:// link not supported anymore, should be changed to git+https://) Then the 'qt-solutions-git' dependency can be removed, as well as -DQT5=ON and -DWITH_SYSTEM_SINGLEAPP=ON

sl1pkn07 commented on 2018-02-11 15:37 (UTC)

done

coderobe commented on 2018-02-11 00:39 (UTC) (edited on 2018-02-11 00:39 (UTC) by coderobe)

This is missing qt5-svg as makedep, see https://github.com/brezerk/q4wine/blob/master/src/CMakeLists.txt#L44

sl1pkn07 commented on 2017-06-29 11:43 (UTC) (edited on 2017-06-29 11:44 (UTC) by sl1pkn07)

'perl-http-cookies' is installed by 'icoutils' package (depends of 'perl-libwww', and 'perl-libwww' depends of 'perl-http-cookies' sounds a problem of official package. not is a directly q4wine-git problem please fill a bugreport in https://bugs.archlinux.org/ greetngs

machackerx86 commented on 2017-06-29 05:37 (UTC)

this ppackage has an unmet dependency "perl-http-cookies" i am unable to install this package

sl1pkn07 commented on 2015-04-21 14:24 (UTC)

done

vorot93 commented on 2015-04-21 14:08 (UTC)

WITH_SYSTEM_SINGLEAPP=ON allows the usage of SingleApp module from qt-solutions package instead of building a local copy.

x-user commented on 2015-03-26 23:18 (UTC)

Thanks. It works now.

sl1pkn07 commented on 2015-03-26 18:04 (UTC)

try now

x-user commented on 2015-03-26 17:59 (UTC)

Missing dependency icoutils. >-- Searching for icoutils binaries (WITH_ICOUTILS=ON) -- > >-- wrestool : NOT FOUND! >CMake Error at src/CMakeLists.txt:264 (MESSAGE): > Please install icoutils package or disable icoutils support by adding > -DWITH_ICOUTILS="OFF" option to cmake

sl1pkn07 commented on 2015-03-22 20:56 (UTC)

yes I'm on it. need first merge q4wine-qt5-git on this, and the upload a new pkgbild >Also please enable WITH_SYSTEM_SINGLEAPP for Qt 5 build and add qt-solutions as a dependency. what is this?

vorot93 commented on 2015-03-22 20:53 (UTC)

You could make a common pkgbase for q4wine-qt4-git and q4wine-qt5-git. Also please enable WITH_SYSTEM_SINGLEAPP for Qt 5 build and add qt-solutions as a dependency.

xuiqzy commented on 2015-03-09 16:09 (UTC)

I just mean it wouldn't cause any problems at the moment because all provide the q4wine pakckage

sl1pkn07 commented on 2015-03-09 16:04 (UTC)

it is not necessary omit them

xuiqzy commented on 2015-03-09 15:52 (UTC)

ok, but in this case it could theoretically be ommited and there would be no problems until there were no qt4 packages that both provide and which would trigger the conflict.

sl1pkn07 commented on 2015-03-09 15:49 (UTC)

q4wine-qt5 is need in conflicts/provides in this package, because all git packages need add the non-git counterpart package (may not exist, yet)

xuiqzy commented on 2015-03-09 15:35 (UTC)

So 2 installed packages are not allowed to provide the same package. But then the qt5-git package doesn't even need q4wine-qt5 in the conflicts, because it already conflicts because both packages would provide q4wine? And there also isn't a qt5 stable package yet.

sl1pkn07 commented on 2015-03-09 15:23 (UTC)

no. because q4wine-git and git-q4wine-QT5 packages must point to non-git package (in this case q4wine of [multilib]). as they both have added to conflicts()/provides(). then when you try to install one of them, uninstall the other greetings

xuiqzy commented on 2015-03-09 15:11 (UTC)

I see it in the other package, that you adopted just now I guess ;D But doesn't this package here (q4wine-qt5-git) also conflict with q4wine-git?

sl1pkn07 commented on 2015-03-09 15:00 (UTC)

done :D

xuiqzy commented on 2015-03-09 14:58 (UTC)

ahhh ok thanks for the clarification! :) I thought same sources same package.. but they build with different qt versions... Then, adjust conficts/provides if you have time :)

sl1pkn07 commented on 2015-03-09 14:54 (UTC)

i mean can coexist in AUR because one build with Qt5 and q4wine-git build with Qt4. only need adjust the conflicts()/provides() to avoid install both in a same time

xuiqzy commented on 2015-03-09 14:43 (UTC)

Sorry what do you mean? I mean you should probably add it to the conflicting packages or the other package should removed completely anyway because it uses the same sources.

sl1pkn07 commented on 2015-03-09 14:41 (UTC)

nope if ajust conflicts()/provides()

xuiqzy commented on 2015-03-09 14:40 (UTC)

It probably conflicts with q4wine-git? It's the same sources anyway so the other package could be removed, I already filed a delete request.

sl1pkn07 commented on 2013-12-04 23:32 (UTC)

please update pkgbuild with pacman 4.1 structure greetings

mrbit commented on 2013-03-01 22:43 (UTC)

"qt" was replaced by "qt4" please update PKGBUILD

prettyvanilla commented on 2012-03-27 10:25 (UTC)

Only a few minor remarks: - having 'which' as a dep is unnecessary, especially as it is in base (where does that dep come from anyway?) - line 31 should be along the lines of " cd '$srcdir/$pkgname' ", since otherwise it won't work when the pull has already been done - "-DWITH-WINETRIKS=ON \" is unnecessary since that cmake option doesn't even exist (anymore?)

Atterratio commented on 2011-12-19 16:30 (UTC)

Sorry for the uneasiness, I have stated a wrong Git repository. All Done!

Atterratio commented on 2011-12-18 16:45 (UTC)

Sorry, I know, but I'm moving to another apartment, and I busy.

mrbit commented on 2011-12-18 12:33 (UTC)

CMake Error: The source directory "/tmp/packerbuild-0/q4wine-git/q4wine-git/src/q4wine-git" does not appear to contain CMakeLists.txt.